OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

9 Pages V  « < 3 4 5 6 7 > »   
Reply to this topicStart new topic
> X/qt Preconfigured With Apps, running off cramfs images
Jon_J
post Apr 26 2006, 08:02 PM
Post #61





Group: Members
Posts: 1,843
Joined: 31-December 05
From: Illinois USA
Member No.: 8,821



Fn + click the titlebar of the submenus.
That made them close for me.
Also, some settings options don't seem to have a method to make them close, for these, I used my cancel button, then they closed.
I have since uninstalled pdaXqtrom. I'm waiting for a response about the automounter.

EDIT: Meanie, I didn't install the automounter. I heard Cacko already has an automounter.
(I had probs with automounter in Cacko in earlier install of X/Qt-jumbo package)
See here:
http://www.oesf.org/forums/index.php?showt...ndpost&p=124685

This post has been edited by Jon_J: Apr 26 2006, 08:23 PM
Go to the top of the page
 
+Quote Post
Meanie
post Apr 26 2006, 08:30 PM
Post #62





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(Jon_J @ Apr 27 2006, 02:02 PM)
Fn + click the titlebar of the submenus.
That made them close for me.
Also, some settings options don't seem to have a method to make them close, for these, I used my cancel button, then they closed.
I have since uninstalled pdaXqtrom. I'm waiting for a response about the automounter.

EDIT: Meanie, I didn't install the automounter. I heard Cacko already has an automounter.
(I had probs with automounter in Cacko in earlier install of X/Qt-jumbo package)
See here:
http://www.oesf.org/forums/index.php?showt...ndpost&p=124685
*


the only difference in auto mounting between Cacko and Sharp ROM is that Cacko has a simple usb-storage script while Sharp ROM does not by default
Go to the top of the page
 
+Quote Post
Jon_J
post Apr 26 2006, 08:38 PM
Post #63





Group: Members
Posts: 1,843
Joined: 31-December 05
From: Illinois USA
Member No.: 8,821



I'll just reply to this thread since everyone seems to read this one first.
I have a 128mb swapfile, isn't that large enough for Abiword?
My images that I tried to browse in GQview are mostly *.jpg and *.png
I've enclosed screenshots of the directory in Bash and in GQview.
The files are there, but GQview doesn't "see" them
Thank you.
QUOTE(Meanie @ Apr 26 2006, 11:25 PM)
I'll check into abiword, maybe it just needs more memory because it is a big app after all.
I don't think the problem with GQview has anything to do with the file system. Maybe its a filter. What type of images do you have?

automounter is for mounting the cramfs/squashfs images for you automatically upon reboot and also for creating extra loop devices. the installer creates extra loop devices for you as well, thus it can mount the loop devices for you. however, when you reboot, the extra loop devices are gone. auto mounter recreates them for you during boot and also mounts the devices for you. Cacko, and even Sharp ROM both automatically mount the loop devices for you if they are present in /etc/fstab, but they only mount the first 2 and then run out of loop devices. automounter then creates more loop devices and mounts all the left over entries that were not previously mounted and automounter also carefully checks which entries had already been mounted and won't mount them again. Previous versions of automounter had problem on Cacko, because it also unmounted Cacko's internal loop device when you ran automounter stop. The latest version, 0.4.7 fixes this, and it also makes a backup of the usb-storage file prior to installation so when you uninstall automounter it is able to restore the usb-storage script.  In the previous versions, the installer/uninstaller program just removed usb-storage.
/etc/rc.d/init.d/mntloop is now linked to /usr/bin/automounter so you can just run
automounter stop/start
*


This post has been edited by Jon_J: Apr 26 2006, 09:33 PM
Attached File(s)
Attached File  GQview.jpg ( 33.14K ) Number of downloads: 51
Attached File  Harleys.jpg ( 65.88K ) Number of downloads: 52
 
Go to the top of the page
 
+Quote Post
kenko
post Apr 26 2006, 11:47 PM
Post #64





Group: Members
Posts: 20
Joined: 16-February 06
Member No.: 9,145



QUOTE(Meanie @ Apr 27 2006, 10:37 AM)
QUOTE(kenko @ Apr 27 2006, 11:48 AM)
QUOTE(Meanie @ Apr 26 2006, 01:22 PM)
archimark: you need to run pdaXqtrom-base-setup after you mount the image. it hasn't been run yet.

kenko: where is  /home/QtPalmtop/lib/libgtk-x11-2.0.so.0 linked to? did you have an older version of glib2 and gtk2 previously installed?
*


It link to /mnt/pdaXqtrom-base/opt/QtPalmtop/lib/libgtk-x11-2.0.so.0 and eventaully link to libgtk-x11-2.0.so.0.600.2 under the same directory.

I'm using Cacko 1.23 and didn't change anything. I didn't know if the glib2/gtk2 are older version but I don't think so.

Thanks for helping.

~kenko
*



that's an old library from the original xqt packages. which images did you download? maybe if you wait a day or two, I am going to upload some new images with several bug fixes and enhancements.

archimark: this is an updated X/Qt package that runs the latest pdaXrom applications, it is not pdaXrom. The libraries in this package have been updated to use the same version as the ones provided by pdaXrom so the same versions of applications as pdaXrom can be run but they all need to be specially compiled for X/Qt. The old version of X/Qt could not run the newer pdaXrom apps, but only the very old pdaXrom 1.0 apps, ie firefox 0.9, gimp 1.25, gnumeric 1.2. This version allows you to run pdaXrom 1.1.0 apps (if they have been recompiled for xqt), ie firefox 1.5, gnumeric 1.6, gimp 2.3, etc...
*



I check from the Package Manager the pdaXqtrom-base version is 0.4.6-0.7.5. I'm looking forward of your next update. Thanks a lot.

~kenko
Go to the top of the page
 
+Quote Post
daniel3000
post Apr 27 2006, 12:03 AM
Post #65





Group: Members
Posts: 1,002
Joined: 28-April 05
From: Germany
Member No.: 7,027



QUOTE(Meanie @ Apr 23 2006, 01:55 AM)
X/Qt jumbo is now deprecated and not being updated anymore. Instead there is now X/Qt super jumbo aka pdaXqtrom. This new package is installed just like the jumbo cramfs images. The pdaXqtrom-base image replaces the xqt-gtk-jumbo image. The squashfs images have been uploaded, the cramfs images will follow shortly.
http://zaurus.daemons.gr/menaie/mirror/jum....html#pdaxqtrom
Note: not all items on the menu are installed yet, but they will be in the next release. This release is for general testing to iron out bugs and see how well it works on other models apart from the C3x00 series. Check out the keyboard mappings and send me your fixes in case some keys are wrong since I am unable to test the keyboard mappings on other models except the ones I have. The SL-6000 should also work fine. Let me know about the window sizings.
*



Hi Meanie,

looks like another great piece of work you have done!
One question:
I actually only need Gnumeric under QTopia. Is your super jumbo the thing I need for that?

thanks

daniel
Go to the top of the page
 
+Quote Post
ShiroiKuma
post Apr 27 2006, 12:15 AM
Post #66





Group: Members
Posts: 902
Joined: 22-May 04
Member No.: 3,385



QUOTE(Meanie @ Apr 26 2006, 11:59 PM)
what's inside /etc/X11?
*

OK, I think it's actually fluxbox, I just checked and see that ~/.fluxbox/styles is empty

This is because /mnt/pdaxqtrom-base/home/zaurus/.fluxbox/styles is empty. Is this the reason?
Go to the top of the page
 
+Quote Post
ShiroiKuma
post Apr 27 2006, 03:53 AM
Post #67





Group: Members
Posts: 902
Joined: 22-May 04
Member No.: 3,385



QUOTE(ShiroiKuma @ Apr 26 2006, 11:27 PM)
I installed it and seems fine, but the fluxbox is plain, no theme, and no Styles available from the dropdown menu.

This is what it looks like.[attachment=2375:attachment]

What's the problem?
*

I figured it out. The reason was that the pdaxqtrom setup script didn't symlink the /opt/QtPalmtop/share/fluxbox/styles directory.

Did it manually and all's fine.

Meanie, this what you've done is unbelievable. A great breakthrough. Thank you very much.
Go to the top of the page
 
+Quote Post
ArchiMark
post Apr 27 2006, 05:52 AM
Post #68





Group: Members
Posts: 1,026
Joined: 25-June 03
From: Silicon Valley
Member No.: 208



Yep, that did it, Jon_J !!

tongue.gif

Thanks for the advice!

Mark

QUOTE(Jon_J @ Apr 26 2006, 09:02 PM)
Fn + click the titlebar of the submenus.
That made them close for me.
Also, some settings options don't seem to have a method to make them close, for these, I used my cancel button, then they closed.
I have since uninstalled pdaXqtrom. I'm waiting for a response about the automounter.
Go to the top of the page
 
+Quote Post
xamindar
post Apr 27 2006, 09:28 AM
Post #69





Group: Members
Posts: 803
Joined: 30-March 04
From: California
Member No.: 2,368



QUOTE(Cresho @ Apr 25 2006, 02:31 AM)
eject the wifi from the icon at the taskbar.  then pull wifi out.
*



Note:
QUOTE(xamindar @ Apr 24 2006, 10:44 PM)
In this state I am not able to connect or reset the card and I have to reboot to fix it.  It only happens when I have swap enabled on the hard disk.



The icon just reports "failed to eject card." I guess you haven't had this problem. It's very strange.


Oh, and relinking that libfloat didn't correct the problem I am having with console apps.
Go to the top of the page
 
+Quote Post
ShiroiKuma
post Apr 28 2006, 12:06 AM
Post #70





Group: Members
Posts: 902
Joined: 22-May 04
Member No.: 3,385



Is the ShowDesktopIcons option disabled in the included version of Fluxbox?

At least when I click it it doesn't seem to be doing anything...
Go to the top of the page
 
+Quote Post
Meanie
post Apr 28 2006, 12:14 AM
Post #71





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(ShiroiKuma @ Apr 28 2006, 06:06 PM)
Is the ShowDesktopIcons option disabled in the included version of Fluxbox?

At least when I click it it doesn't seem to be doing anything...
*


yeah, it is not implemented yet smile.gif

xamindar: did you run ldconfig to refresh the cache? otherwise you will still be using the old cached version of libfloat
Go to the top of the page
 
+Quote Post
xamindar
post Apr 28 2006, 12:37 AM
Post #72





Group: Members
Posts: 803
Joined: 30-March 04
From: California
Member No.: 2,368



QUOTE(Meanie @ Apr 28 2006, 12:14 AM)
xamindar: did you run ldconfig to refresh the cache? otherwise you will still be using the old cached version of libfloat
*

Yeah, it still does it.

EDIT: A few console apps continued to give me "undefined symbol: __umodsi3" so I decided to remove pdaxqtrom for the moment. When it is removed, a few libraries under /usr/lib.rom/ are not relinked so I had to do it manually. libcrypto and libssl so far. There might be more. Also, when I reboot now, the big blue cacko splash screen no longer shows right before I enter qtoopia.
Go to the top of the page
 
+Quote Post
Thirrouard
post May 7 2006, 02:40 PM
Post #73





Group: Members
Posts: 9
Joined: 2-February 06
Member No.: 9,052



Hi Meanie smile.gif
well, first, thanks for all your work smile.gif
I'm running cacko on 860 and I have few problems with pdaXqtrom
I'm running the last version of your squashfs image (base and apps), and I can't run gnumeric or firefox 1.5
When I try to open them through qtopia i don't see the error, so I do open Xqt throught the icon your instalation did create "Start X"
Then, when I try to run firefox or gnumeric, I get this error :
/usr/lib/firefox/lib/firefox-1.5/firefox-bin: error while loading shared libraries: /home/QtPalmtop/lib/libpangoft2-1.0.so.0: undefined symbol: g_type_class_add_private

(replace with gnumeric-1.6.0 for the error with gnumeric)

I manage to run few xqt apps, including XMMS and firefox 0.9...
Hope i can run gnumeric soon smile.gif
Go to the top of the page
 
+Quote Post
Meanie
post May 7 2006, 04:59 PM
Post #74





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(Thirrouard @ May 8 2006, 08:40 AM)
Hi Meanie smile.gif
well, first, thanks for all your work smile.gif
I'm running cacko on 860 and I have few problems with pdaXqtrom
I'm running the last version of your squashfs image (base and apps), and I can't run gnumeric or firefox 1.5
When I try to open them through qtopia i don't see the error, so I do open Xqt throught the icon your instalation did create "Start X"
Then, when I try to run firefox or gnumeric, I get this error :
/usr/lib/firefox/lib/firefox-1.5/firefox-bin: error while loading shared libraries: /home/QtPalmtop/lib/libpangoft2-1.0.so.0: undefined symbol: g_type_class_add_private

(replace with gnumeric-1.6.0 for the error with gnumeric)

I manage to run few xqt apps, including XMMS and firefox 0.9...
Hope i can run gnumeric soon smile.gif
*


it seems like a lot of people using Cacko have glib problems whereas Sharp ROM users don't. Can someone who has problems give me the output for

CODE
ls -la /usr/lib/libglib*
ls -la /opt/QtPalmtop/lib/libglib*
Go to the top of the page
 
+Quote Post
freebird
post May 8 2006, 12:16 AM
Post #75





Group: Members
Posts: 104
Joined: 27-October 04
Member No.: 5,242



QUOTE(Meanie @ May 8 2006, 12:59 AM)
it seems like a lot of people using Cacko have glib problems whereas Sharp ROM users don't. Can someone who has problems give me the output for

CODE
ls -la /usr/lib/libglib*
ls -la /opt/QtPalmtop/lib/libglib*

*


Hello MEANIE

Yes it seems to be the same problem for me,thurifer13, Dreyman
and We all are using cacko 1.23 lite (not sharp rom), i also installed cacko 1.23full maybe some files are missing in the light version but the results was the same
gdkbixbuf and local c warnings even after adding
export LC_ALL=C
export LANGUAGE=C
and i did also what you asked thurifer13 to do (launching xqt cleanup, removing all libglib* files, and launching again the setup scripts
no thing happen

and the only thing that i have when launching abiword is blank screen
some other applications such as SciTE and dia are also not working but it seems to be the same problem than abiword

any way here is the outpout you asked, after installing the second release of pdaXqtrom

CODE
#ls -la /usr/lib/libglib*

lrwxrwxrwx 1 root   root   21 May 4 13:54
/usr/lib/libglib-1.2.so.0 -> libglib-1.2.so.0.0.10

lrwxrwxrwx 1 root   root   34 May 4 13:54
/usr/lib/libglib-1.2.so.0.0.10 -> /usr/lib.rom/libglib-1.2.so.0.0.10

# ls -la /opt/QtPalmtop/lib/libglib*
lrwxrwxrwx 1 root   root   63 May 4 14:07
/opt/QtPalmtop/lib/libglib-2.0.so ->
/usr/mnt.rom/cf/pdaXqtrom-base/opt/QtPalmtop/lib/libglib-2.0.so

lrwxrwxrwx 1 root   root   65 May 4 14:07
/opt/QtPalmtop/lib/libglib-2.0.so.0 ->
/usr/mnt.rom/cf/pdaXqtrom-base/opt/QtPalmtop/lib/libglib-2.0.so.0

lrwxrwxrwx 1 root   root   71 May 4 14:07
/opt/QtPalmtop/lib/libglib-2.0.so.0.800.1 ->
/usr/mnt.rom/cf/pdaXqtrom-base/opt/QtPalmtop/lib/libglib-2.0.so.0.800.1

hope this can help
i will post some more information later
freebird
Go to the top of the page
 
+Quote Post

9 Pages V  « < 3 4 5 6 7 > » 
Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 1st November 2014 - 05:22 AM